com.microfocus.awm.model

## Interface IXMLElement

- All Known Implementing Classes:
    XMLElement

      public interface IXMLElement

  Representation of an XML element.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getAttributes()` Gets the element's attributes.
    `java.lang.String` | `getCharacters()` Gets the content/characters of the XML element.
    `java.util.List<IXMLElement>` | `getChildren()` Gets the children elements.
    `java.util.List<IXMLElement>` | `getChildren(java.lang.String pName)` Gets a list of XML child elements with the given name (case sensitive).
    `java.lang.String` | `getName()` Gets the element's name.

- - ### Method Detail

    - #### getAttributes

          java.util.Map<java.lang.String,java.lang.String> getAttributes()

      Gets the element's attributes.
      Returns:
        the attributes

    - #### getName

          java.lang.String getName()

      Gets the element's name.
      Returns:
        the element name

    - #### getChildren

          java.util.List<IXMLElement> getChildren()

      Gets the children elements.
      Returns:
        the children (can be `null`)

    - #### getCharacters

          java.lang.String getCharacters()

      Gets the content/characters of the XML element.

      E.g.:
      `<myElement>characters</myElement>`

      Returns:
        the contents (can be `null`)

    - #### getChildren

          java.util.List<IXMLElement> getChildren(java.lang.String pName)

      Gets a list of XML child elements with the given name (case sensitive). Only searches within the direct children of this element.
      Parameters:
        `pName` - the name of the desired children elements
      Returns:
        the children with the given name or an empty list if there are no children with the given name

Copyright © 2015 Micro Focus GmbH. All rights reserved.